services:
    life_style_template.model.color_assets:
        class: LifeStyle\TemplateBundle\Model\ColorAssets
        arguments: ['@?']
    life_style_template.model.image_assets:
        class: LifeStyle\TemplateBundle\Model\ImageAssets
        arguments: ['@?']
    life_style_template.model.text_assets:
        class: LifeStyle\TemplateBundle\Model\TextAssets
        arguments: ['@?']

    life_style_template.twig_extension.template:
        class: LifeStyle\TemplateBundle\Twig\Extension\Template
        arguments: ['@life_style_template.model.color_assets', '@life_style_template.model.image_assets', '@life_style_template.model.text_assets']
        calls:
            - [initRuntime, ['@twig']]
        tags:
            - { name: twig.extension }